### Method

# FwupdPlugin Firmware get_version_raw

since: 1.5.7

#### Declaration [src]

    guint64
    fu_firmware_get_version_raw (
      FuFirmware* self
    )

#### Description [src]

Gets an raw version that represents the firmware. This is most frequently used when building firmware with `<version_raw>0x123456</version_raw>` in a `firmware.builder.xml` file to avoid string splitting and sanity checks.

Available since: 1.5.7

#### Return value

Type: `guint64`

An integer, or `G_MAXUINT64` for invalid.